#include "Icones.h"

Icones::Icones(int x, int y, int choixArme,std::string armeAssignee, SDL_Surface* ecran, Joueur* lanceur) : m_ecran(ecran),proprio(lanceur),m_armeAssignee(armeAssignee)
{
    m_positionIcone.x=x;
    m_positionIcone.y=y;
    switch (choixArme)
    {
        case 0:
            imageIcone=SDL_LoadBMP("IconeBaroudeur.bmp");
            break;
        case 1:
            imageIcone=SDL_LoadBMP("IconeUsiane.bmp");
            break;
        case 2:
            imageIcone=SDL_LoadBMP("IconeTriphaseur.bmp");
            break;
    }

}
Icones::~Icones()
{
    SDL_FreeSurface(imageIcone);
}

void Icones::afficher()
{
    if (Cliquable::m_tempsFire==0)
    {
        this->clic();
    }
    SDL_BlitSurface(imageIcone,0,m_ecran,&m_positionIcone);
}

void Icones::clic()
{
    /*Teste si le click est sur l'icone, puis fait l'assignation de l'arme.*/
    if (Cliquable::m_yFire>m_positionIcone.y&&Cliquable::m_yFire<(m_positionIcone.y+m_positionIcone.h))
    {
        if (Cliquable::m_xFire>m_positionIcone.x&&Cliquable::m_xFire<(m_positionIcone.x+m_positionIcone.w))
        {
            proprio->setArme(m_armeAssignee);
        }
    }
}
